-- Below is scripts to make talentmacros update tooltips for all classes
-- Updates happen at below events
-- To make a macro work it needs to have "## Talents" as macroname, where "##" is which talent level and the macro needs to be per character
-- You can add macros to update if you wish, as long as the macroname matches the macroname in-game.
-- 
-- You can create macros for your current spec by using below commands
-- /mtl and all or <level> i.e. /mtl create all or /mtl create 45
-- 
-- ##########################################
-- MacroTooltipLoader by Macks - Frostmane EU
-- ##########################################
--
--
CreateFrame("Frame","MTLoader"):RegisterEvent("ADDON_LOADED");
MTLoader:SetScript("OnEvent",function(self,event,...)
	self:UnregisterEvent("ADDON_LOADED");
	--print('Message: Addon loaded.'); --Test message
	local playerClass = UnitClass("player");
	function self:GetTalentNames()
		local group = GetActiveSpecGroup();
		for i = 1,7, 1 do
			for j = 1,3, 1 do
				local id, name, texture, selected = GetTalentInfo( i, j, group );
	
				--Level 15 Talents
				if i == 1 and j == 1 then
					name15_1 = name;
				end
				if i == 1 and j == 2 then
					name15_2 = name;
				end
				if i == 1 and j == 3 then
					name15_3 = name;
				end
				--Level 30 Talents
				if i == 2 and j == 1 then
					name30_1 = name;
				end
				if i == 2 and j == 2 then
					name30_2 = name;
				end
				if i == 2 and j == 3 then
					name30_3 = name;
				end
				--Level 45 Talents
				if i == 3 and j == 1 then
					name45_1 = name;
				end
				if i == 3 and j == 2 then
					name45_2 = name;
				end
				if i == 3 and j == 3 then
					name45_3 = name;
				end
				--Level 60 Talents
				if i == 4 and j == 1 then
					name60_1 = name;
				end
				if i == 4 and j == 2 then
					name60_2 = name;
				end
				if i == 4 and j == 3 then
					name60_3 = name;
				end
				--Level 75 Talents
				if i == 5 and j == 1 then
					name75_1 = name;
				end
				if i == 5 and j == 2 then
					name75_2 = name;
				end
				if i == 5 and j == 3 then
					name75_3 = name;
				end
				--Level 90 Talents
				if i == 6 and j == 1 then
					name90_1 = name;
				end
				if i == 6 and j == 2 then
					name90_2 = name;
				end
				if i == 6 and j == 3 then
					name90_3 = name;
				end
				--Level 100 Talents
				if i == 7 and j == 1 then
					name100_1 = name;
				end
				if i == 7 and j == 2 then
					name100_2 = name;
				end
				if i == 7 and j == 3 then
					name100_3 = name;
				end
			end	
		end
		--print('Message: GetTalentNames() executed'); --Test message
	end
	
	local name15, name30, name45, name60, name75, name90, name100;
	function self:GetCurrentTalents()
		local group = GetActiveSpecGroup();
		self:GetTalentNames()
		for i = 1,7, 1 do
			for j = 1,3, 1 do
				local id, name, texture, selected = GetTalentInfo( i, j, group );
				--Level 15 Talents
				if selected == true and i == 1 then
					name15 = name;
				end
				--Level 30 Talents
				if selected == true and i == 2 then
					name30 = name;
				end
				--Level 45 Talents
				if selected == true and i == 3 then
					name45 = name;
				end
				--Level 60 Talents
				if selected == true and i == 4 then
					name60 = name;
				end
				--Level 75 Talents
				if selected == true and i == 5 then
					name75 = name;
				end
				--Level 90 Talents
				if selected == true and i == 6 then
					name90 = name;
				end
				--Level 100 Talents
				if selected == true and i == 7 then
					name100 = name;
				end
			end
		end
		--print('Message: GetCurrentTalents() executed'); --Test message
	end
	
	SLASH_MTL1 = "/mtl";
	function handler(msg, editbox)
		self:GetTalentNames()
		self:GetCurrentTalents()
		if msg == "show talents" then
			print("These are the current talents:\nTier 15: " .. name15 ..
			"\nTier 30: " .. name30 ..
			"\nTier 45: " .. name45 ..
			"\nTier 60: " .. name60 ..
			"\nTier 75: " .. name75 ..
			"\nTier 90: " .. name90 ..
			"\nTier 100: " .. name100);
		end
		if msg == "create all" then
			DeleteMacro("15 Talents");
			DeleteMacro("30 Talents");
			DeleteMacro("45 Talents");
			DeleteMacro("60 Talents");
			DeleteMacro("75 Talents");
			DeleteMacro("90 Talents");
			DeleteMacro("100 Talents");
			
			local _,macrosPerChar = GetNumMacros();
			if macrosPerChar > 11 then
				print("Not enough macro slots to create all macros!");
				print("You have " .. macrosPerChar .. "/18 slots used. 7 free slots needed.");
			end
			if macrosPerChar < 12 then
				CreateMacro("15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3, 1);
				CreateMacro("30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3, 1);
				CreateMacro("45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3, 1);
				CreateMacro("60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3, 1);
				if name75 == "Grimoire of Service" then
					name75 = "Grimoire: Doomguard";
					name75_2 = "Grimoire: Doomguard";
				end
				CreateMacro("75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3, 1);	
				CreateMacro("90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3, 1);	
				CreateMacro("100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3, 1);	
				print('Created a set of talent macros for your spec!');
			end
			--print('Message: Create All executed'); --Test message
		end
		if msg == "create 15" then
			
			CreateMacro("15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3, 1);
			print("Created macro for LVL 15 talents for your spec!");
		end
		if msg == "create 30" then
			CreateMacro("30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3, 1);
			print("Created macro for LVL 30 talents for your spec!");
		end
		if msg == "create 45" then
			CreateMacro("45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3, 1);
			print("Created macro for LVL 45 talents for your spec!");			
		end
		if msg == "create 60" then
			CreateMacro("60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3, 1);
			print("Created macro for LVL 60 talents for your spec!");		
		end
		if msg == "create 75" then
			if name75 == "Grimoire of Service" then
				name75 = "Grimoire: Doomguard";
				name75_2 = "Grimoire: Doomguard";
			end
			CreateMacro("75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3, 1);	
			print("Created macro for LVL 75 talents for your spec!");	
		end
		if msg == "create 90" then
			CreateMacro("90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3, 1);	
			print("Created macro for LVL 90 talents for your spec!");	
		end
		if msg == "create 100" then
			CreateMacro("100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3, 1);	
			print("Created macro for LVL 100 talents for your spec!");	
		end
		--print('Message Slashcommand Main: \nName15 = ' .. name15 .. '\nName30 = ' .. name30 .. '\nName45 = ' .. name45 .. '\nName60 = ' .. name60 .. '\nName75 = ' .. name75 .. '\nName90 = ' .. name90 .. '\nName100 = ' .. name100); --Test message
	end
	SlashCmdList["MTL"] = handler;

	--Event handler
	--self:RegisterEvent("PLAYER_TALENT_UPDATE");
	self:RegisterEvent("PLAYER_SPECIALIZATION_CHANGED");
	
	self:SetScript("OnEvent",function(self,event,...)
		--Update tooltips on above events
		self:GetTalentNames()
		self:GetCurrentTalents()
		--############################################################
		--## Below here you can change what you want in your macros ##
		--############################################################
		if playerClass == "Death Knight" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Druid" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Hunter" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Mage" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Monk" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Paladin" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Priest" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Rogue" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Mage" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Shaman" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Warlock" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			if name75 == "Grimoire of Service" then
				name75 = "Grimoire: Doomguard";
				name75_2 = "Grimoire: Doomguard";
			end
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);	
		elseif playerClass == "Warrior" then
			EditMacro("15 Talents", "15 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name15 .. "\n/cast " .. name15_1 .. "\n/cast " .. name15_2 .. "\n/cast " .. name15_3);
			EditMacro("30 Talents", "30 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name30 .. "\n/cast " .. name30_1 .. "\n/cast " .. name30_2 .. "\n/cast " .. name30_3);
			EditMacro("45 Talents", "45 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name45 .. "\n/cast " .. name45_1 .. "\n/cast " .. name45_2 .. "\n/cast " .. name45_3);
			EditMacro("60 Talents", "60 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name60 .. "\n/cast " .. name60_1 .. "\n/cast " .. name60_2 .. "\n/cast " .. name60_3);
			EditMacro("75 Talents", "75 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name75 .. "\n/cast " .. name75_1 .. "\n/cast " .. name75_2 .. "\n/cast " .. name75_3);
			EditMacro("90 Talents", "90 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name90 .. "\n/cast " .. name90_1 .. "\n/cast " .. name90_2 .. "\n/cast " .. name90_3);
			EditMacro("100 Talents", "100 Talents", "INV_MISC_QUESTIONMARK", "#showtooltip " .. name100 .. "\n/cast " .. name100_1 .. "\n/cast " .. name100_2 .. "\n/cast " .. name100_3);
		end
		--print('Message: Edited Macros'); --Test message
	end);
end);